Bug 4881 - support for x86_64
: support for x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glib)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-26 18:14 by
Modified: 2006-05-27 02:51 (History)


Attachments
Change /lib to /%_lib to make compile on x86_64 (1.26 KB, patch)
2004-07-26 18:15, Kachalov Anton
no flags Details | Diff
spec fix (802 bytes, patch)
2005-06-06 18:42, Kachalov Anton
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-26 18:14:47
fixes for compiling on x86_64 arch
------- Comment #1 From 2004-07-26 18:15:03 -------
Created an attachment (id=508) [details]
Change /lib to /%_lib to make compile on x86_64
------- Comment #2 From 2004-08-26 16:44:31 -------
Applied in glib-1.2.10-alt9.
------- Comment #3 From 2005-06-06 18:42:14 -------
needed additional spec fix
------- Comment #4 From 2005-06-06 18:42:54 -------
Created an attachment (id=924) [details]
spec fix
------- Comment #5 From 2005-06-30 18:42:01 -------
thanks
------- Comment #6 From 2005-07-04 01:23:02 -------
Бага не пофиксилась. Файл ltconfig как был 2000 года, так он им и остался после
reconfigure.

[...]
checking if libtool supports shared libraries... yes

*** Warning: the command libtool uses to detect shared libraries,
*** /usr/bin/file, produces output that libtool cannot recognize.
[...]
/bin/sh ../libtool --mode=link gcc  -pipe -Wall -O2  -D_REENTRANT  -o
libgplugin_a.la -rpath /usr/lib64 -rdynamic -avoid-version -module
libgplugin_a.lo -ldl ../libglib.la  

*** Warning: linker path does not have real file for library -ldl.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
[...]
------- Comment #7 From 2006-05-27 02:51:18 -------
Тестовая пересборка glib-1.2.10-alt11 на x86_64 никаких предупреждений от
libtool'а не выявила.